Subject: B19: gdb on NT - cannot hit breakpoints on other threads
From: [email-masked] (Gilbert W. Pilz Jr)

18 Apr 1998 13:57:35 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Has anyone else seen this problem ?

I'm trying to debug a simple program that creates multiple threads using
CreateThread(). I find that I can set breakpoints on the starting routines
of the sub-threads, but that when I hit them I get a SIGTRAP instead of
normal breakpoint behavior. Attempting to continue after the SIGTRAP always
results in a segmentation violation.

Is this a problem with gdb or something I'm doing wrong ?

Gilbert W. Pilz Jr.
Systems Software Consultant
[email-masked]
www.scruz.net/~gwpilz/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".